/**
* theme jquery
*/
(function($) {
    "use strict";
    var dots = wpblog.show_dots;
    var arrows = wpblog.show_arrow;

    var enable_dot = false;
    var enable_arrow = false;

    if ( dots === '1' ) enable_dot = true;
    if ( arrows === '1' ) enable_arrow = true;

    $('#featured_posts').owlCarousel({
        loop: true,
        margin: 0,
        nav: enable_arrow,
        dots: enable_dot,
        items: 1,
        autoplay: true
    });

    // back to top button
    if ( $('#to-top').length) {
        var scrollTrigger = 100, // px
            backToTop = function () {
                var scrollTop = $(window).scrollTop();
                if (scrollTop > scrollTrigger) {
                    $('#to-top').addClass('show');
                } else {
                    $('#to-top').removeClass('show');
                }
            };
        backToTop();
        $(window).on('scroll', function () {
            backToTop();
        });
        $('#to-top').on('click', function (e) {
            e.preventDefault();
            $('html,body').animate({
                scrollTop: 0
            }, 700);
        });
    }

})(jQuery);