<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package WP_Blog
 */

get_header();
?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main">
            <div class="container">

                <div class="row">
                    <div class="blog-posts col-md-9">
		                <?php if ( have_posts() ) : ?>

			                <?php
			                /* Start the Loop */
			                while ( have_posts() ) :
				                the_post();

				                /**
				                 * Run the loop for the search to output the results.
				                 * If you want to overload this in a child theme then include a file
				                 * called content-search.php and that will be used instead.
				                 */
				                get_template_part( 'template-parts/content', get_post_type() );

			                endwhile;

			                the_posts_pagination( array(
				                'prev_text' => __( '<i class="fa fa-angle-left"></i>', 'wp-blog' ),
				                'next_text' => __( '<i class="fa fa-angle-right"></i>', 'wp-blog' ),
			                ));

		                else :

			                get_template_part( 'template-parts/content', 'none' );

		                endif;
		                ?>
                    </div>

	                <?php get_sidebar(); ?>
                </div>

            </div>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php
get_footer();
